Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Проблемы с установкой psycopg2  (Прочитано 1681 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн dimanoga

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Проблемы с установкой psycopg2
« : 04 Август 2020, 10:54:55 »
Всем привет! С linux  и python только знакомлюсь, нужна ваша помощь.
Пробую pip install psycopg2
В ответ:
Error: b'You need to install postgresql-server-dev-X.Y for building a server-side extension or libpq-dev for building a client-side application.\n'
Пытаюсь установить libpq-dev
sudo apt-get install libpq-dev
libpq-dev : Зависит: libpq5 (= 10.12-0ubuntu0.18.04.1) но 12.3-1.pgdg18.04+1 должен быть установлен
Хотя версия последняя стоит.
Удалял, потом ставил заново - реузльтата 0.
Перерыл все форумы, но тоже не особо помогло.

Что делать?

Оффлайн archuser

  • Активист
  • *
  • Сообщений: 647
    • Просмотр профиля
Re: Проблемы с установкой psycopg2
« Ответ #1 : 04 Август 2020, 15:14:31 »
Что делать?
У Вас Ubuntu 18.04 и следовательно libpq5 версии 10.12-0*. Вы же пытаетесь установить psycopg2 из альтернативного репозитория, что приводит к рассогласованности неудовлетворенных зависимостей, установленных из официальных репозиториев Ubuntu. Вывод: либо вручную разрешаете все зависимости, что может привести к неработоспособности как отдельных приложений, так и все системы в целом, либо устанавливаете штатный пакет psycopg2:
sudo apt install python-psycopg2 #для python2
sudo apt install python3-psycopg2 #для python3

Оффлайн dimanoga

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Проблемы с установкой psycopg2
« Ответ #2 : 04 Август 2020, 15:56:26 »
sudo apt install python3-psycopg2 #для python3


Установил для python3
при запуске django
python manage.py runserver
learnPython/venv2/lib/python3.8/site-packages/django/db/backends/postgresql/base.py", line 29, in <module>
    raise ImproperlyConfigured("Error loading psycopg2 module: %s" % e)
django.core.exceptions.ImproperlyConfigured: Error loading psycopg2 module: No module named 'psycopg2'


Оффлайн archuser

  • Активист
  • *
  • Сообщений: 647
    • Просмотр профиля
Re: Проблемы с установкой psycopg2
« Ответ #3 : 04 Август 2020, 17:03:20 »
dimanoga, а чего Вы ждете от винегрета в Вашей системе? Вручную установили python версии 3.8, в то время как в Ubuntu 18.04 python штатно представлен версией 3.6.7. И потому установка ранее предложенного пакета python3-psycopg2 не дала результата. Я Вам предлагаю отказаться от самодеятельности и использоваться только пакеты из официально поддерживаемых репозиториев Вашего дистрибутива.

Оффлайн dimanoga

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Проблемы с установкой psycopg2
« Ответ #4 : 05 Август 2020, 09:48:43 »
dimanoga, а чего Вы ждете от винегрета в Вашей системе? Вручную установили python версии 3.8, в то время как в Ubuntu 18.04 python штатно представлен версией 3.6.7. И потому установка ранее предложенного пакета python3-psycopg2 не дала результата. Я Вам предлагаю отказаться от самодеятельности и использоваться только пакеты из официально поддерживаемых репозиториев Вашего дистрибутива.

Хорошо. Что сделать чтобы заработало.
Откатить python до 3.6.7?

Оффлайн archuser

  • Активист
  • *
  • Сообщений: 647
    • Просмотр профиля
Re: Проблемы с установкой psycopg2
« Ответ #5 : 05 Август 2020, 09:52:21 »
Откатить python до 3.6.7?
Вы правильно поняли мой посыл.

Оффлайн dimanoga

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Проблемы с установкой psycopg2
« Ответ #6 : 05 Август 2020, 10:33:35 »
Спасибо

 

Страница сгенерирована за 0.144 секунд. Запросов: 25.